/*
 * CalcoloIva.java
 *
 * Created on 18 novembre 2005, 10.58
 *
 * To change this template, choose Tools | Options and locate the template under
 * the Source Creation and Management node. Right-click the template and choose
 * Open. You can then make changes to the template in the Source Editor.
 */

package iva;

/**
 *
 * @author gdestri
 */
public class CalcoloIvaAdapter {
    
    private CalcoloIva civa;
    /** Creates a new instance of CalcoloIva */
    public CalcoloIvaAdapter() {
        civa = new CalcoloIva();
    }
    
    public String getIva() {
        String res;
        res = Double.toString(civa.getIva());
        return res;
    } // end method getIva
    
    public void setIva(String p_iva) {
        double ivaDouble;
        try {
            ivaDouble = Double.parseDouble(p_iva);
            civa.setIva(ivaDouble);
        } catch (NumberFormatException nfe) {
            System.out.println("Errore nel numero!");
        }
        
    } // end method setIva
    
    public String prezzoIvato(String p_prezzo) {
        double prezzoDouble;
        double resDouble;
        String res = "";
        
        try {
            prezzoDouble = Double.parseDouble(p_prezzo);
            resDouble = civa.prezzoIvato(prezzoDouble);
            res = Double.toString(resDouble);
        } catch (NumberFormatException nfe) {
            System.out.println("Errore nel numero!");
        }
        return res;
    } // end method prezzoIvato
    
} // end class CalcoloIva
